Index: src/y.tab.c
===================================================================
--- src/y.tab.c	(.../1.0.1)	(revision 183)
+++ src/y.tab.c	(.../1.0.2)	(revision 183)
@@ -6313,244 +7736,432 @@
     yy_conf = make_conf_item(GDENY_TYPE);
     yy_aconf = map_to_conf(yy_conf);
   }
-}
-break;
-case 692:
-#line 3913 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 695:
+#line 3920 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_aconf->flags |= GDENY_REJECT;
-}
-break;
-case 693:
-#line 3917 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 696:
+#line 3924 "ircd_parser.y"
+    {
   if (ypass == 2)
     yy_aconf->flags |= GDENY_BLOCK;
-}
-break;
-case 716:
-#line 3941 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 719:
+#line 3948 "ircd_parser.y"
+    {
   ConfigChannel.disable_fake_channels = yylval.number;
-}
-break;
-case 717:
-#line 3946 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 720:
+#line 3953 "ircd_parser.y"
+    {
   ConfigChannel.restrict_channels = yylval.number;
-}
-break;
-case 718:
-#line 3951 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 721:
+#line 3958 "ircd_parser.y"
+    {
   ConfigChannel.disable_local_channels = yylval.number;
-}
-break;
-case 719:
-#line 3956 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 722:
+#line 3963 "ircd_parser.y"
+    {
   ConfigChannel.use_except = yylval.number;
-}
-break;
-case 720:
-#line 3961 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 723:
+#line 3968 "ircd_parser.y"
+    {
   ConfigChannel.use_invex = yylval.number;
-}
-break;
-case 721:
-#line 3966 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 724:
+#line 3973 "ircd_parser.y"
+    {
   ConfigChannel.use_knock = yylval.number;
-}
-break;
-case 722:
-#line 3971 "ircd_parser.y"
-{
-  ConfigChannel.knock_delay = yyvsp[-1].number;
-}
-break;
-case 723:
-#line 3976 "ircd_parser.y"
-{
-  ConfigChannel.knock_delay_channel = yyvsp[-1].number;
-}
-break;
-case 724:
-#line 3981 "ircd_parser.y"
-{
-  ConfigChannel.max_chans_per_user = yyvsp[-1].number;
-}
-break;
-case 725:
-#line 3986 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 725:
+#line 3978 "ircd_parser.y"
+    {
+  ConfigChannel.knock_delay = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 726:
+#line 3983 "ircd_parser.y"
+    {
+  ConfigChannel.knock_delay_channel = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 727:
+#line 3988 "ircd_parser.y"
+    {
+  ConfigChannel.max_chans_per_user = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 728:
+#line 3993 "ircd_parser.y"
+    {
   ConfigChannel.quiet_on_ban = yylval.number;
-}
-break;
-case 726:
-#line 3991 "ircd_parser.y"
-{
-  ConfigChannel.max_bans = yyvsp[-1].number;
-}
-break;
-case 727:
-#line 3996 "ircd_parser.y"
-{
-  ConfigChannel.default_split_user_count = yyvsp[-1].number;
-}
-break;
-case 728:
-#line 4001 "ircd_parser.y"
-{
-  ConfigChannel.default_split_server_count = yyvsp[-1].number;
-}
-break;
-case 729:
-#line 4006 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 729:
+#line 3998 "ircd_parser.y"
+    {
+  ConfigChannel.max_bans = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 730:
+#line 4003 "ircd_parser.y"
+    {
+  ConfigChannel.default_split_user_count = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 731:
+#line 4008 "ircd_parser.y"
+    {
+  ConfigChannel.default_split_server_count = (yyvsp[(3) - (4)].number);
+;}
+    break;
+
+  case 732:
+#line 4013 "ircd_parser.y"
+    {
   ConfigChannel.no_create_on_split = yylval.number;
-}
-break;
-case 730:
-#line 4011 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 733:
+#line 4018 "ircd_parser.y"
+    {
   ConfigChannel.no_join_on_split = yylval.number;
-}
-break;
-case 731:
-#line 4016 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 734:
+#line 4023 "ircd_parser.y"
+    {
   ConfigChannel.burst_topicwho = yylval.number;
-}
-break;
-case 732:
-#line 4021 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 735:
+#line 4028 "ircd_parser.y"
+    {
   GlobalSetOptions.joinfloodcount = yylval.number;
-}
-break;
-case 733:
-#line 4026 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 736:
+#line 4033 "ircd_parser.y"
+    {
   GlobalSetOptions.joinfloodtime = yylval.number;
-}
-break;
-case 745:
-#line 4045 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 748:
+#line 4052 "ircd_parser.y"
+    {
   if (ypass == 2)
     ConfigServerHide.flatten_links = yylval.number;
-}
-break;
-case 746:
-#line 4051 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 749:
+#line 4058 "ircd_parser.y"
+    {
   if (ypass == 2)
     ConfigServerHide.hide_servers = yylval.number;
-}
-break;
-case 747:
-#line 4057 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 750:
+#line 4064 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
     MyFree(ConfigServerHide.hidden_name);
     DupString(ConfigServerHide.hidden_name, yylval.string);
   }
-}
-break;
-case 748:
-#line 4066 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 751:
+#line 4073 "ircd_parser.y"
+    {
   if (ypass == 2)
   {
-    if ((yyvsp[-1].number > 0) && ConfigServerHide.links_disabled == 1)
+    if (((yyvsp[(3) - (4)].number) > 0) && ConfigServerHide.links_disabled == 1)
     {
-      eventAddIsh("write_links_file", write_links_file, NULL, yyvsp[-1].number);
+      eventAddIsh("write_links_file", write_links_file, NULL, (yyvsp[(3) - (4)].number));
       ConfigServerHide.links_disabled = 0;
     }
 
-    ConfigServerHide.links_delay = yyvsp[-1].number;
+    ConfigServerHide.links_delay = (yyvsp[(3) - (4)].number);
   }
-}
-break;
-case 749:
-#line 4080 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 752:
+#line 4087 "ircd_parser.y"
+    {
   if (ypass == 2)
     ConfigServerHide.hidden = yylval.number;
-}
-break;
-case 750:
-#line 4086 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 753:
+#line 4093 "ircd_parser.y"
+    {
   if (ypass == 2)
     ConfigServerHide.disable_hidden = yylval.number;
-}
-break;
-case 751:
-#line 4092 "ircd_parser.y"
-{
+;}
+    break;
+
+  case 754:
+#line 4099 "ircd_parser.y"
+    {
   if (ypass == 2)
     ConfigServerHide.hide_server_ips = yylval.number;
-}
-break;
-#line 6501 "y.tab.c"
+;}
+    break;
+
+
+/* Line 1267 of yacc.c.  */
+#line 7954 "y.tab.c"
+      default: break;
     }
-    yyssp -= yym;
-    yystate = *yyssp;
-    yyvsp -= yym;
-    yym = yylhs[yyn];
-    if (yystate == 0 && yym == 0)
+  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);
+
+  YYPOPSTACK (yylen);
+  yylen = 0;
+  YY_STACK_PRINT (yyss, yyssp);
+
+  *++yyvsp = yyval;
+
+
+  /* Now `shift' the result of the reduction.  Determine what state
+     that goes to, based on the state we popped back to and the rule
+     number reduced by.  */
+
+  yyn = yyr1[yyn];
+
+  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
+  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
+    yystate = yytable[yystate];
+  else
+    yystate = yydefgoto[yyn - YYNTOKENS];
+
+  goto yynewstate;
+
+
+/*------------------------------------.
+| yyerrlab -- here on detecting error |
+`------------------------------------*/
+yyerrlab:
+  /* If not already recovering from an error, report this error.  */
+  if (!yyerrstatus)
     {
-#if YYDEBUG
-        if (yydebug)
-            printf("%sdebug: after reduction, shifting from state 0 to\
- state %d\n", YYPREFIX, YYFINAL);
+      ++yynerrs;
+#if ! YYERROR_VERBOSE
+      yyerror (YY_("syntax error"));
+#else
+      {
+	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
+	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
+	  {
+	    YYSIZE_T yyalloc = 2 * yysize;
+	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
+	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
+	    if (yymsg != yymsgbuf)
+	      YYSTACK_FREE (yymsg);
+	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
+	    if (yymsg)
+	      yymsg_alloc = yyalloc;
+	    else
+	      {
+		yymsg = yymsgbuf;
+		yymsg_alloc = sizeof yymsgbuf;
+	      }
+	  }
+
+	if (0 < yysize && yysize <= yymsg_alloc)
+	  {
+	    (void) yysyntax_error (yymsg, yystate, yychar);
+	    yyerror (yymsg);
+	  }
+	else
+	  {
+	    yyerror (YY_("syntax error"));
+	    if (yysize != 0)
+	      goto yyexhaustedlab;
+	  }
+      }
 #endif
-        yystate = YYFINAL;
-        *++yyssp = YYFINAL;
-        *++yyvsp = yyval;
-        if (yychar < 0)
-        {
-            if ((yychar = yylex()) < 0) yychar = 0;
-#if YYDEBUG
-            if (yydebug)
-            {
-                yys = 0;
-                if (yychar <= YYMAXTOKEN) yys = yyname[yychar];
-                if (!yys) yys = "illegal-symbol";
-                printf("%sdebug: state %d, reading %d (%s)\n",
-                        YYPREFIX, YYFINAL, yychar, yys);
-            }
-#endif
-        }
-        if (yychar == 0) goto yyaccept;
-        goto yyloop;
     }
-    if ((yyn = yygindex[yym]) && (yyn += yystate) >= 0 &&
-            yyn <= YYTABLESIZE && yycheck[yyn] == yystate)
-        yystate = yytable[yyn];
-    else
-        yystate = yydgoto[yym];
-#if YYDEBUG
-    if (yydebug)
-        printf("%sdebug: after reduction, shifting from state %d \
-to state %d\n", YYPREFIX, *yyssp, yystate);
+
+
+
+  if (yyerrstatus == 3)
+    {
+      /* If just tried and failed to reuse look-ahead token after an
+	 error, discard it.  */
+
+      if (yychar <= YYEOF)
+	{
+	  /* Return failure if at end of input.  */
+	  if (yychar == YYEOF)
+	    YYABORT;
+	}
+      else
+	{
+	  yydestruct ("Error: discarding",
+		      yytoken, &yylval);
+	  yychar = YYEMPTY;
+	}
+    }
+
+  /* Else will try to reuse look-ahead token after shifting the error
+     token.  */
+  goto yyerrlab1;
+
+
+/*---------------------------------------------------.
+| yyerrorlab -- error raised explicitly by YYERROR.  |
+`---------------------------------------------------*/
+yyerrorlab:
+
+  /* Pacify compilers like GCC when the user code never invokes
+     YYERROR and the label yyerrorlab therefore never appears in user
+     code.  */
+  if (/*CONSTCOND*/ 0)
+     goto yyerrorlab;
+
+  /* Do not reclaim the symbols of the rule which action triggered
+     this YYERROR.  */
+  YYPOPSTACK (yylen);
+  yylen = 0;
+  YY_STACK_PRINT (yyss, yyssp);
+  yystate = *yyssp;
+  goto yyerrlab1;
+
+
+/*-------------------------------------------------------------.
+| yyerrlab1 -- common code for both syntax error and YYERROR.  |
+`-------------------------------------------------------------*/
+yyerrlab1:
+  yyerrstatus = 3;	/* Each real token shifted decrements this.  */
+
+  for (;;)
+    {
+      yyn = yypact[yystate];
+      if (yyn != YYPACT_NINF)
+	{
+	  yyn += YYTERROR;
+	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
+	    {
+	      yyn = yytable[yyn];
+	      if (0 < yyn)
+		break;
+	    }
+	}
+
+      /* Pop the current state because it cannot handle the error token.  */
+      if (yyssp == yyss)
+	YYABORT;
+
+
+      yydestruct ("Error: popping",
+		  yystos[yystate], yyvsp);
+      YYPOPSTACK (1);
+      yystate = *yyssp;
+      YY_STACK_PRINT (yyss, yyssp);
+    }
+
+  if (yyn == YYFINAL)
+    YYACCEPT;
+
+  *++yyvsp = yylval;
+
+
+  /* Shift the error token.  */
+  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);
+
+  yystate = yyn;
+  goto yynewstate;
+
+
+/*-------------------------------------.
+| yyacceptlab -- YYACCEPT comes here.  |
+`-------------------------------------*/
+yyacceptlab:
+  yyresult = 0;
+  goto yyreturn;
+
+/*-----------------------------------.
+| yyabortlab -- YYABORT comes here.  |
+`-----------------------------------*/
+yyabortlab:
+  yyresult = 1;
+  goto yyreturn;
+
+#ifndef yyoverflow
+/*-------------------------------------------------.
+| yyexhaustedlab -- memory exhaustion comes here.  |
+`-------------------------------------------------*/
+yyexhaustedlab:
+  yyerror (YY_("memory exhausted"));
+  yyresult = 2;
+  /* Fall through.  */
 #endif
-    if (yyssp >= yysslim && yygrowstack())
+
+yyreturn:
+  if (yychar != YYEOF && yychar != YYEMPTY)
+     yydestruct ("Cleanup: discarding lookahead",
+		 yytoken, &yylval);
+  /* Do not reclaim the symbols of the rule which action triggered
+     this YYABORT or YYACCEPT.  */
+  YYPOPSTACK (yylen);
+  YY_STACK_PRINT (yyss, yyssp);
+  while (yyssp != yyss)
     {
-        goto yyoverflow;
+      yydestruct ("Cleanup: popping",
+		  yystos[*yyssp], yyvsp);
+      YYPOPSTACK (1);
     }
-    *++yyssp = yystate;
-    *++yyvsp = yyval;
-    goto yyloop;
-yyoverflow:
-    yyerror("yacc stack overflow");
-yyabort:
-    return (1);
-yyaccept:
-    return (0);
+#ifndef yyoverflow
+  if (yyss != yyssa)
+    YYSTACK_FREE (yyss);
+#endif
+#if YYERROR_VERBOSE
+  if (yymsg != yymsgbuf)
+    YYSTACK_FREE (yymsg);
+#endif
+  /* Make sure YYID is used.  */
+  return YYID (yyresult);
 }
+
+
+
Index: src/s_gline.c
===================================================================
--- src/s_gline.c	(.../1.0.1)	(revision 183)
+++ src/s_gline.c	(.../1.0.2)	(revision 183)
@@ -19,7 +19,8 @@
  *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
  *  USA
  *
- *  $Id: s_gline.c 33 2005-10-02 20:50:00Z knight $
+ *  $Id$
+ *  $Hybrid: s_gline.c 33 2005-10-02 20:50:00Z knight $
  */
 
 #include "stdinc.h"

